org.eclipse.wst.jsdt.chromium.debug.ui.liveedit

## Class LiveEditDiffViewer

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.liveedit.LiveEditDiffViewer

    public class LiveEditDiffViewer
    extends java.lang.Object

A UI control that shows V8 update preview. It consists of function tree structure and source text viewer each for both old and new version of the script. The tree viewers are synchronized together: their selection, expansion and scroll position are synchronized.

### Nested Class Summary

Nested Classes
`static interface` `LiveEditDiffViewer.Configuration` A static parameters for the viewer.
`static interface` `LiveEditDiffViewer.FunctionNode` A function in old and/or new version of the script.
`static interface` `LiveEditDiffViewer.Input` An input for the viewer.
`static class` `LiveEditDiffViewer.Side` A version of the script.
`static interface` `LiveEditDiffViewer.SourcePosition`
`static interface` `LiveEditDiffViewer.SourceText`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LiveEditDiffViewer` `create(Composite parent, LiveEditDiffViewer.Configuration configuration)`
`Control` `getControl()`
`void` `setInput(LiveEditDiffViewer.Input input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static LiveEditDiffViewer create(Composite parent,
                                            LiveEditDiffViewer.Configuration configuration)

#### getControl

    public Control getControl()

#### setInput

    public void setInput(LiveEditDiffViewer.Input input)